int zip_open(const char *path);
int zip_close(void);
int zopen(const char *filename);
int zread(int fp, void *buf, unsigned size);
int zclose(int fp);
int zlength(const char *filename);
void zip_check(void);
